--- iptraf-2.7.0/src/hostmon.c.orig	2002-04-15 22:15:25.000000000 -0400
+++ iptraf-2.7.0/src/hostmon.c	2006-08-01 17:58:15.000000000 -0400
@@ -28,6 +28,7 @@
 #include <sys/types.h>
 #include <asm/types.h>
 #include <netinet/in.h>
+#include <linux/netdevice.h>
 #include <linux/if_packet.h>
 #include <linux/if_ether.h>
 #include <linux/if_fddi.h>
--- iptraf-2.7.0/src/othptab.c.orig	2001-12-27 21:23:59.000000000 -0500
+++ iptraf-2.7.0/src/othptab.c	2006-08-01 17:47:39.000000000 -0400
@@ -17,13 +17,10 @@
 ***/
 
 #include <asm/types.h>
-#include <linux/if_ether.h>
-#include <linux/if_tr.h>
-#include <linux/if_fddi.h>
 #include <winops.h>
+#include "tcptable.h"
 #include "arphdr.h"
 #include "options.h"
-#include "tcptable.h"
 #include "othptab.h"
 #include "deskman.h"
 #include "attrs.h"
--- iptraf-2.7.0/src/packet.c.orig	2002-05-08 05:44:08.000000000 -0400
+++ iptraf-2.7.0/src/packet.c	2006-08-01 17:57:33.000000000 -0400
@@ -32,6 +32,10 @@
 #include <sys/time.h>
 #include <net/if_arp.h>
 #include <net/if.h>
+#ifdef _NET_IF_H
+#define _LINUX_IF_H
+#endif
+#include <linux/netdevice.h>
 #include <sys/ioctl.h>
 #include <linux/if_packet.h>
 #include <linux/if_ether.h>
--- iptraf-2.7.0/src/tcptable.h.orig	2001-12-27 21:16:39.000000000 -0500
+++ iptraf-2.7.0/src/tcptable.h	2006-08-01 17:56:55.000000000 -0400
@@ -20,11 +20,15 @@
 #include <arpa/inet.h>
 #include <net/if_arp.h>
 #include <asm/types.h>
+#include <net/if.h>
+#ifdef _NET_IF_H
+#define _LINUX_IF_H
+#endif
+#include <linux/netdevice.h>
 #include <linux/if_packet.h>
 #include <linux/if_ether.h>
 #include <linux/if_fddi.h>
 #include <linux/if_tr.h>
-#include <net/if.h>
 #include <netinet/ip.h>
 #include <netinet/udp.h>
 #include "servname.h"
